Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Dec 2020 05:56:15 +0100

Michael Heerdegen <[email-masked]> writes:

> sorry if I had already reported this and a fix is on the way.  Or had it
> been fixed and has reappeared, or even my fault this time?
>
> I'm doing something like
>
>   (debbugs-gnu-search "debbugs" '((subject . "debbugs")) nil nil nil)
>
> and when I hit RET over a bug's line I get this error:
>
> | Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
> |   gnus-summary-goto-subject(0)
> |   gnus-summary-last-subject()
> |   gnus-summary-highlight-line()
> |   gnus-summary-insert-line([0 "" "" "05 Apr 2001 23:33:09 +0400" ""
> | "" 0 0 "" nil] 0 nil t 90 t nil "" nil 1)
> |   gnus-update-summary-mark-positions()

I think this should be fixed on the trunk now -- can you check?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no